E-Arogya - Bug #86

Feature # 65 (New): Security Audit

[Security Audit ] 21 -Insufficient Anti-Automation
17/04/2024 04:03 PM - Kalyan Battula

Status: Closed Start date: 17/04/2024
Priority: Normal Due date:

Assignee: Raju Kuthadi % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Security Audit Spent time: 0:00 hour
Deployed In: Category:

Description

21- Insufficient Anti-Automation

CWE : CWE-799

Description :

Insufficient Anti-automation is when a web site permits an attacker to automate a
process that should only be performed manually. Certain web site functionalities should
be protected against automated attacks.

Affected Path(s) :

https://earogya.satragroup.in/login *-Applicable to entire application

Impact :

Attackers could repeatedly exercise web site functionality attempting to exploit or
defraud the system. An automated robot could potentially execute thousands of requests
a minute, causing potential loss of performance or service.

Recommendation :

It is recommended to implement captcha. CAPTCHA should be perceived as a ratelimiting protection only. If it is implemented, the
following considerations should be

taken into account:

No CAPTCHA information (except the image itself) should be stored on the client

side.

The client should have no "control" over the CAPTCHA content. CAPTCHA images
should be always randomly generated without possibility to perform image
preprocessing, segmentation and classification.

CAPTCHA images should not be reused.

Evidence/Proof Of Concept :

Step 1: Captcha is not implemented for the application as shown below.
History

#1 - 25/04/2024 11:54 PM - Karthik Daram

- Status changed from New to Resolved

#2 - 25/04/2024 11:55 PM - Karthik Daram

- Assignee set to Raju Kuthadi

#3 - 03/05/2024 05:24 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#4 - 03/05/2024 05:28 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#5 - 30/09/2024 05:15 PM - Gautam Kumar

- Status changed from Resolved to Closed
